For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • POSTAdds a task bundle to a project.
      • GETLists task bundles.
      • POSTCreates a task bundle.
      • POSTCreates a task bundle from a project.
      • POSTCreates a task bundle from a task list.
      • GETLists available task bundle icons.
      • GETGets a task bundle by id.
      • PUTUpdates a task bundle.
      • DELDeletes a task bundle.
      • POSTCreates a copy of an existing task bundle.
      • GETLists task list templates for a task bundle.
      • POSTCreates a task list template for a bundle.
      • GETGets a task list template.
      • PUTUpdates a task list template.
      • DELDeletes a task list template.
      • POSTAdds task templates to a task list template.
      • POSTRemoves task templates from a task list template.
      • GETLists task templates inside a task list template.
      • GETGets a task template inside a task list template.
      • POSTUpdates the order of a task template inside a task list template.
      • POSTUpdates the order of task templates in a task list template.
      • GETLists checklist item templates for a task template.
      • POSTCreates a checklist item template.
      • GETGets a checklist item template.
      • PUTUpdates a checklist item template.
      • DELDeletes a checklist item template.
      • POSTDeletes recurrence information from a task template.
      • GETGets recurrency details for a task template.
      • POSTAdds or updates a recurrence rule for a task template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceTask Bundles

Updates a checklist item template.

PUT
https://api.awork.com/api/v1/tasktemplates/:taskTemplateId/checklistitemtemplates/:checklistItemTemplateId
PUT
/api/v1/tasktemplates/:taskTemplateId/checklistitemtemplates/:checklistItemTemplateId
$curl -X PUT https://api.awork.com/api/v1/tasktemplates/taskTemplateId/checklistitemtemplates/checklistItemTemplateId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "name": "Create YouTube Ads",
3 "isDone": true,
4 "order": 4,
5 "id": "123e4567-e89b-12d3-a456-426614174000",
6 "createdOn": "2021-03-20T14:00:00Z",
7 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
8 "updatedOn": "2021-03-20T17:03:00Z",
9 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
10 "taskTemplateId": "123e4567-e89b-12d3-a456-426614174000"
11}
<Check title="Required Permissions" icon="key">The user must be an admin or have `task-manage-config:write` permissions.</Check>
Was this page helpful?
Previous

Deletes a checklist item template.

Next
Built with
Required Permissions
The user must be an admin or have task-manage-config:write permissions.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

taskTemplateIdstringRequiredformat: "uuid"
The id of the task template.
checklistItemTemplateIdstringRequiredformat: "uuid"
The checklist Item Template Id.

Request

The checklist Item Template form.
namestring or nullOptional
The name of the checklist item.
orderdouble or nullOptional
The order of the checklist item.

Response

OK
namestring0-25000 characters
The name of the checklist item.
isDoneboolean
Whether the checklist item is done.
orderdouble or null
The order of the checklist item.
idstringformat: "uuid"
The id of the checklist item.
createdOnstringformat: "date-time"
The date this checklist item was created.
createdBystringformat: "uuid"
The id of the user who created this checklist item.
updatedOnstringformat: "date-time"
The date this checklist item was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this check list.
taskTemplateIdstringformat: "uuid"
The id of the task template this checklist item belongs to.

Errors

400
Bad Request Error
404
Not Found Error